Bug 142604 - composing mail -- addresses: resource vs. recent addresses duplicates
Summary: composing mail -- addresses: resource vs. recent addresses duplicates
Status: RESOLVED WAITINGFORINFO
Alias: None
Product: kmail
Classification: Applications
Component: composer (show other bugs)
Version: unspecified
Platform: OpenSUSE Linux
: NOR wishlist with 1 vote (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-03-06 16:05 UTC by Maciej Pilichowski
Modified: 2012-08-19 00:28 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Maciej Pilichowski 2007-03-06 16:05:20 UTC
Version:            (using KDE KDE 3.5.6)
Installed from:    SuSE RPMs

It is no point to display duplicates so please remove those from recent addresses (for display).
Comment 1 Allen Winter 2007-03-06 16:15:15 UTC
Christian,

This is fixed in pim+ right?
We should make sure to port the fix into the 3.5 branch.
Comment 2 Bram Schoenmakers 2007-03-25 22:43:45 UTC
Indeed, that was commit 620313. The commit involves more than the duplicate issue alone. Allen, you think it's OK to send all improvements involved to the 3.5 branch?
Comment 3 Christian Schaarschmidt 2007-03-26 17:55:49 UTC
commit 620313  is for recipientspicker only. 
I prefer to see my recent addresses no matter if they are in my addressbook or not. I vote for leaving address completion as it is right now.
Comment 4 Maciej Pilichowski 2007-03-26 19:02:02 UTC
Christian, did I understand you correctly -- you want to see duplicates?
Comment 5 Christian Schaarschmidt 2007-03-26 19:13:58 UTC
yes, I want to know which addresses I have been using. 
but we could add an option to the "edit recent addresses" dialog, something like "don't store addressbook entries". Would that fit your needs?
Comment 6 Ferdinand Gassauer 2007-03-26 19:36:03 UTC
May be someone might look into a similar issue.
see
http://bugs.kde.org/show_bug.cgi?id=85539#c4

As almost all of my contacts are stored in the addressbook, this does not happen to me frequently any more or may be it's fixed.
Comment 7 Maciej Pilichowski 2007-03-26 20:18:47 UTC
Christian, from which source? Ok. I would rather prefer to save screen space and optimize navigation.

> "edit recent addresses" dialog, something like "don't store addressbook
> entries".

99.99% ok. My only concern is with the approach -- better "don't display...", consider deleting address from AB.

Ferdinand, fixed means "does not happen at all". If this happens from time to time it is not fixed then. I just checked (just in case), it happens (duplicates).
Comment 8 Björn Ruberg 2010-01-03 21:49:17 UTC
Yes, happens in KDE 4.3.
Comment 9 Myriam Schweingruber 2012-08-18 08:51:31 UTC
Thank you for your feature request. Kmail1 is currently unmaintained so we are closing all wishes. Please feel free to reopen a feature request for Kmail2 if it has not already been implemented.
Thank you for your understanding.
Comment 10 Luigi Toscano 2012-08-19 00:28:17 UTC
Instead of creating a new feature request, please confirm here if the wishlist is still valid for kmail2.